# adarsh/portfolio.py
class Portfolio:
    def __init__(self):
        self.name = "Adarsh Kumar"
        self.contact = "+91 7004904210 | Vadodara, India"
        self.email = "a4adarshh@gmail.com"
        self.linkedin = "https://www.linkedin.com/in/adarsh-kumar"
        self.leetcode = "https://leetcode.com/adarsh_kumar"
        self.geeksforgeeks = "https://www.geeksforgeeks.org/adarsh_kumar"
        self.codechef = "https://www.codechef.com/users/adarsh_kumar"
        self.github = "https://github.com/adarsh-kumar"
        
        self.education = {
            "degree": "Bachelor of Technology in Computer Science and Engineering",
            "university": "Parul University, Vadodara",
            "years": "2023-2027",
            "cgpa": "8.50"
        }

        self.skills = {
            "Programming Languages": ["C/C++ (Proficient)", "Java and Python (Intermediate)", "JavaScript (Beginner)"],
            "Database and Tools": ["MySQL", "SQL (Intermediate)"],
            "Version Control and IDEs": ["Git", "GitHub", "Visual Studio Code", "IntelliJ IDEA"],
            "Coursework": [
                "Database and Management Systems", "Object-Oriented Programming", 
                "Software Development", "Computer Networks", "Operating Systems", 
                "Data Structures and Algorithms"
            ],
            "Soft Skills": [
                "Collaboration", "Communication", "Planning", "Teamwork", 
                "Time Management", "Leadership"
            ]
        }

        self.projects = [
            {
                "name": "Air Draw",
                "description": "Hand and finger-tip recognition, used for signature verification in the financial and online exam sectors.",
                "tech_stack": "Python",
                "github_link": "https://github.com/adarsh-kumar/air-draw"
            },
            {
                "name": "Hospital Management Program",
                "description": "Fully functional hospital management software with different access levels for admin, doctors, and patients.",
                "tech_stack": "Java, Java Swing",
                "github_link": "https://github.com/adarsh-kumar/hospital-management"
            }
        ]
        
        self.achievements = [
            "Won college-level coding challenges.",
            "Completed certification in Cyber Security by CISCO.",
            "Volunteered in college fests/events.",
            "Awarded leadership role in student organization."
        ]
    
    def show_all(self):
        # Show all portfolio sections
        self.show_contact()
        self.show_education()
        self.show_skills()
        self.show_projects()
        self.show_achievements()
        
    def show_contact(self):
        print(f"{self.name}\n{self.contact}\n{self.email}")
        print(f"LinkedIn: {self.linkedin}")
        print(f"Leetcode: {self.leetcode}")
        print(f"GeeksforGeeks: {self.geeksforgeeks}")
        print(f"CodeChef: {self.codechef}")
        print(f"GitHub: {self.github}")
        print("\n")

    def show_education(self):
        print(f"Education:\n{self.education['degree']}, {self.education['university']} ({self.education['years']})")
        print(f"CGPA: {self.education['cgpa']}\n")

    def show_skills(self):
        print("Skills:")
        for category, skills in self.skills.items():
            print(f"{category}:")
            for skill in skills:
                print(f"  - {skill}")
        print("\n")

    def show_projects(self):
        print("Projects:")
        for project in self.projects:
            print(f"Project Name: {project['name']}")
            print(f"Description: {project['description']}")
            print(f"Tech Stack: {project['tech_stack']}")
            print(f"GitHub Link: {project['github_link']}")
            print("\n")

    def show_achievements(self):
        print("Achievements & Extra-Curricular Activities:")
        for achievement in self.achievements:
            print(f"  - {achievement}")
        print("\n")
